# Note that this is NOT a relocatable package

%define major       1
%define libname     lib%{name}%{major}

Summary:   A KDE tabulature editor 
Name:      kguitar 
Version:   0.4
Release:   1mdk
License:   GPL
Group:     Sound
Source0:   kguitar-%version.tar.bz2
URL:       http://kguitar.sourceforge.net/ 
BuildRoot: %{_tmppath}/%name-root
# For texhash:
Requires: tetex %libname


%description
KGuitar is basically a guitar tabulature editor for K Desktop
Environment. It's much more than just a tab editor. It's features are:

* free GPLed K Desktop Environment GUI
* Powerful and convenient tabulature editing, including many effects
  and classical note score editing for classic instrument players;
* Full and very customizable MIDI to tabulature import and export;
* Support of extra data formats, such as ASCII tabulatures or popular
  programs' format, such as Guitar Pro's or TablEdit;
* Chord fingering construction tools - chord finder & chord analyzer;
* Highly customizable to suit a lot of possible instruments (not only
  6-stringed guitars, and even not only guitars), including drum tracks,
  lyrics and other MIDI events.

Well, right now KGuitar is in very alpha state and doesn't support
everything stated. However, it already features a nice tabulature
editor, though not ultimately powerful, loading/saving its own format (kg
files) and all the chord construction tools.


%package -n %libname
Summary:    KGuitar libraries 
Group:      System/Libraries
Provides: libkguitar
Obsoletes: libkguitar

%description -n %{libname}
This is the shared librairies of KGuitar. 

%package -n %libname-devel
Summary:    KGuitar devel stuff 
Group:      Development/C
Requires: %libname = %version
Provides: libkguitar-devel
Obsoletes: libkguitar-devel

%description -n %{libname}-devel
This is the development part of KGuitar librairies. 

%prep
%setup

%build
%configure --disable-rpath
#for i in acinclude.m4 aclocal.m4 configure libtool;do
#	perl -pi -e 's!--add-tag=CXX!!g'  $i
#done
for i in Makefile kguitar/Makefile{.in,}; do
	perl -pi -e 's! --tag=CXX!!g' $i
done
%make

%install
%makeinstall TEXMF=$RPM_BUILD_ROOT/usr/share/texmf
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%post -p /usr/bin/texhash
%postun -p /usr/bin/texhash

%files -f %name.lang
%defattr(-,root,root)
%doc README DEVELOPERS COPYING AUTHORS ChangeLog
%attr(755,root,root) %_bindir/*
%_datadir/applnk/Multimedia/kguitar.desktop
%_datadir/apps/kguitar
%_iconsdir/*/*/mimetypes/kguitar_tab.png
%_iconsdir/*/*/apps/kguitar.png
%_datadir/mimelnk/application/x-kguitar.desktop
%_datadir/services/kguitar_component.desktop
%_datadir/texmf/tex/generic/kgtabs

%files -n %libname
%defattr(-,root,root)
%doc COPYING
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc COPYING
%_libdir/*.so
%_libdir/*.la


%changelog
* Fri Mar 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-1mdk
- initial package on sly request
